(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier", 12, L0, nowordwrap, B65280;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = input; nowordwrap; ]
blick={xb,yb,zoom};
p1={x1,y1,z1};
p2={x2,y2,z2};
p3={x3,y3,z3};
p4={x4,y4,z4};
:[font = input; nowordwrap; ]
a=p2-p1;
b=p4-p1;
:[font = input; startGroup; nowordwrap; ]
s=t*{xb,yb,zoom}
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{t*xb, t*yb, t*zoom}


;[o]
{t xb, t yb, t zoom}
:[font = input; startGroup; nowordwrap; ]
e=p1+u*a+v*b
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{x1 + u*(-x1 + x2) + v*(-x1 + x4), y1 + u*(-y1 + y2) + v*(-y1 + y4), z1 + u*(-z1 + z2) + v*(-z1 + z4)}


;[o]
{x1 + u (-x1 + x2) + v (-x1 + x4), y1 + u (-y1 + y2) + v (-y1 + y4), z1 + u (-z1 + z2) + v (-z1 + z4)}
:[font = input; startGroup; nowordwrap; ]
s==e
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{t*xb, t*yb, t*zoom} == {x1 + u*(-x1 + x2) + v*(-x1 + x4), y1 + u*(-y1 + y2) + v*(-y1 + y4), 
   z1 + u*(-z1 + z2) + v*(-z1 + z4)}


;[o]
{t xb, t yb, t zoom} == {x1 + u (-x1 + x2) + v (-x1 + x4), y1 + u (-y1 + y2) + v (-y1 + y4), 
 
  z1 + u (-z1 + z2) + v (-z1 + z4)}
:[font = input; startGroup; nowordwrap; ]
Solve[s==e,{u,v,t}]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{t -> x1/xb + ((x1 - x2)*((x1*yb - xb*y1)/(-((x1 - x2)*yb) + xb*(y1 - y2)) - 
          ((-((x1 - x4)*yb) + xb*(y1 - y4))*((-((x1 - x2)*yb) + xb*(y1 - y2))*(x1*zoom - xb*z1) - 
               (x1*yb - xb*y1)*(-((x1 - x2)*zoom) + xb*(z1 - z2))))/
           ((-((x1 - x2)*yb) + xb*(y1 - y2))*(-((-((x1 - x4)*yb) + xb*(y1 - y4))*
                  (-((x1 - x2)*zoom) + xb*(z1 - z2))) + 
               (-((x1 - x2)*yb) + xb*(y1 - y2))*(-((x1 - x4)*zoom) + xb*(z1 - z4))))))/xb + 
     ((x1 - x4)*((-((x1 - x2)*yb) + xb*(y1 - y2))*(x1*zoom - xb*z1) - 
          (x1*yb - xb*y1)*(-((x1 - x2)*zoom) + xb*(z1 - z2))))/
      (xb*(-((-((x1 - x4)*yb) + xb*(y1 - y4))*(-((x1 - x2)*zoom) + xb*(z1 - z2))) + 
          (-((x1 - x2)*yb) + xb*(y1 - y2))*(-((x1 - x4)*zoom) + xb*(z1 - z4)))), 
   u -> -((x1*yb - xb*y1)/(-((x1 - x2)*yb) + xb*(y1 - y2))) + 
     ((-((x1 - x4)*yb) + xb*(y1 - y4))*((-((x1 - x2)*yb) + xb*(y1 - y2))*(x1*zoom - xb*z1) - 
          (x1*yb - xb*y1)*(-((x1 - x2)*zoom) + xb*(z1 - z2))))/
      ((-((x1 - x2)*yb) + xb*(y1 - y2))*(-((-((x1 - x4)*yb) + xb*(y1 - y4))*(-((x1 - x2)*zoom) + xb*(z1 - z2))) + 
          (-((x1 - x2)*yb) + xb*(y1 - y2))*(-((x1 - x4)*zoom) + xb*(z1 - z4)))), 
   v -> -(((-((x1 - x2)*yb) + xb*(y1 - y2))*(x1*zoom - xb*z1) - (x1*yb - xb*y1)*(-((x1 - x2)*zoom) + xb*(z1 - z2)))/
       (-((-((x1 - x4)*yb) + xb*(y1 - y4))*(-((x1 - x2)*zoom) + xb*(z1 - z2))) + 
         (-((x1 - x2)*yb) + xb*(y1 - y2))*(-((x1 - x4)*zoom) + xb*(z1 - z4))))}}


;[o]
       x1                       x1 yb - xb y1
{{t -> -- + ((x1 - x2) (------------------------------ - 
       xb               -((x1 - x2) yb) + xb (y1 - y2)
 
         ((-((x1 - x4) yb) + xb (y1 - y4)) ((-((x1 - x2) yb) + xb (y1 - y2)) (x1 zoom - xb z1) - 
 
              (x1 yb - xb y1) (-((x1 - x2) zoom) + xb (z1 - z2)))) / 
 
          ((-((x1 - x2) yb) + xb (y1 - y2)) (-((-((x1 - x4) yb) + xb (y1 - y4)) (-((x1 - x2) zoom) + xb (z1 - z2))) + 
 
              (-((x1 - x2) yb) + xb (y1 - y2)) (-((x1 - x4) zoom) + xb (z1 - z4)))))) / xb + 
 
    ((x1 - x4) ((-((x1 - x2) yb) + xb (y1 - y2)) (x1 zoom - xb z1) - 
 
         (x1 yb - xb y1) (-((x1 - x2) zoom) + xb (z1 - z2)))) / 
 
     (xb (-((-((x1 - x4) yb) + xb (y1 - y4)) (-((x1 - x2) zoom) + xb (z1 - z2))) + 
 
         (-((x1 - x2) yb) + xb (y1 - y2)) (-((x1 - x4) zoom) + xb (z1 - z4)))), 
 
                 x1 yb - xb y1
  u -> -(------------------------------) + ((-((x1 - x4) yb) + xb (y1 - y4)) 
         -((x1 - x2) yb) + xb (y1 - y2)
 
       ((-((x1 - x2) yb) + xb (y1 - y2)) (x1 zoom - xb z1) - (x1 yb - xb y1) (-((x1 - x2) zoom) + xb (z1 - z2)))) / 
 
     ((-((x1 - x2) yb) + xb (y1 - y2)) (-((-((x1 - x4) yb) + xb (y1 - y4)) (-((x1 - x2) zoom) + xb (z1 - z2))) + 
 
         (-((x1 - x2) yb) + xb (y1 - y2)) (-((x1 - x4) zoom) + xb (z1 - z4)))), 
 
  v -> -(((-((x1 - x2) yb) + xb (y1 - y2)) (x1 zoom - xb z1) - (x1 yb - xb y1) (-((x1 - x2) zoom) + xb (z1 - z2))) / 
 
      (-((-((x1 - x4) yb) + xb (y1 - y4)) (-((x1 - x2) zoom) + xb (z1 - z2))) + 
 
        (-((x1 - x2) yb) + xb (y1 - y2)) (-((x1 - x4) zoom) + xb (z1 - z4))))}}
:[font = input; startGroup; nowordwrap; ]
glsys={ px + u*ax + v*bx == t*cx,
            py + u*ay + v*by == t*cy,
            pz + u*az + v*bz == t*zoom }
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{px + ax*u + bx*v == cx*t, py + ay*u + by*v == cy*t, pz + az*u + bz*v == t*zoom}


;[o]
{px + ax u + bx v == cx t, py + ay u + by v == cy t, pz + az u + bz v == t zoom}
:[font = input; startGroup; nowordwrap; ]
Solve[glsys,{u,v,t}]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{u -> -(px/ax) - (cx*(-((-(az*bx) + ax*bz)*(-(ay*px) + ax*py)) + (-(ay*bx) + ax*by)*(-(az*px) + ax*pz)))/
      (ax*(ax*az*by*cx - ax*ay*bz*cx - ax*az*bx*cy + ax^2*bz*cy + ax*ay*bx*zoom - ax^2*by*zoom)) + 
     (bx*((-(ay*px) + ax*py)/(-(ay*bx) + ax*by) - 
          ((ay*cx - ax*cy)*(-((-(az*bx) + ax*bz)*(-(ay*px) + ax*py)) + (-(ay*bx) + ax*by)*(-(az*px) + ax*pz)))/
           ((-(ay*bx) + ax*by)*(ax*az*by*cx - ax*ay*bz*cx - ax*az*bx*cy + ax^2*bz*cy + ax*ay*bx*zoom - ax^2*by*zoom))
          ))/ax, v -> -((-(ay*px) + ax*py)/(-(ay*bx) + ax*by)) + 
     ((ay*cx - ax*cy)*(-((-(az*bx) + ax*bz)*(-(ay*px) + ax*py)) + (-(ay*bx) + ax*by)*(-(az*px) + ax*pz)))/
      ((-(ay*bx) + ax*by)*(ax*az*by*cx - ax*ay*bz*cx - ax*az*bx*cy + ax^2*bz*cy + ax*ay*bx*zoom - ax^2*by*zoom)), 
   t -> -((-((-(az*bx) + ax*bz)*(-(ay*px) + ax*py)) + (-(ay*bx) + ax*by)*(-(az*px) + ax*pz))/
       (ax*az*by*cx - ax*ay*bz*cx - ax*az*bx*cy + ax^2*bz*cy + ax*ay*bx*zoom - ax^2*by*zoom))}}


;[o]
         px    cx (-((-(az bx) + ax bz) (-(ay px) + ax py)) + (-(ay bx) + ax by) (-(az px) + ax pz))
{{u -> -(--) - -------------------------------------------------------------------------------------- + 
         ax                                                    2                           2
               ax (ax az by cx - ax ay bz cx - ax az bx cy + ax  bz cy + ax ay bx zoom - ax  by zoom)
 
         -(ay px) + ax py
    (bx (---------------- - 
         -(ay bx) + ax by
 
            (ay cx - ax cy) (-((-(az bx) + ax bz) (-(ay px) + ax py)) + (-(ay bx) + ax by) (-(az px) + ax pz))
          ------------------------------------------------------------------------------------------------------)) / ax
                                                                          2                           2
          (-(ay bx) + ax by) (ax az by cx - ax ay bz cx - ax az bx cy + ax  bz cy + ax ay bx zoom - ax  by zoom)
 
            -(ay px) + ax py
   , v -> -(----------------) + 
            -(ay bx) + ax by
 
       (ay cx - ax cy) (-((-(az bx) + ax bz) (-(ay px) + ax py)) + (-(ay bx) + ax by) (-(az px) + ax pz))
     ------------------------------------------------------------------------------------------------------, 
                                                                     2                           2
     (-(ay bx) + ax by) (ax az by cx - ax ay bz cx - ax az bx cy + ax  bz cy + ax ay bx zoom - ax  by zoom)
 
         -((-(az bx) + ax bz) (-(ay px) + ax py)) + (-(ay bx) + ax by) (-(az px) + ax pz)
  t -> -(---------------------------------------------------------------------------------)}}
                                                     2                           2
         ax az by cx - ax ay bz cx - ax az bx cy + ax  bz cy + ax ay bx zoom - ax  by zoom
:[font = input; startGroup; nowordwrap; ]
Simplify[%]
:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
{{u -> (bz*cy*px - bz*cx*py + by*cx*pz - bx*cy*pz - by*px*zoom + bx*py*zoom)/
     (-(az*by*cx) + ay*bz*cx + az*bx*cy - ax*bz*cy - ay*bx*zoom + ax*by*zoom), 
   v -> (az*cy*px - az*cx*py + ay*cx*pz - ax*cy*pz - ay*px*zoom + ax*py*zoom)/
     (az*by*cx - ay*bz*cx - az*bx*cy + ax*bz*cy + ay*bx*zoom - ax*by*zoom), 
   t -> (az*by*px - ay*bz*px - az*bx*py + ax*bz*py + ay*bx*pz - ax*by*pz)/
     (az*by*cx - ay*bz*cx - az*bx*cy + ax*bz*cy + ay*bx*zoom - ax*by*zoom)}}


;[o]
        bz cy px - bz cx py + by cx pz - bx cy pz - by px zoom + bx py zoom
{{u -> ----------------------------------------------------------------------, 
       -(az by cx) + ay bz cx + az bx cy - ax bz cy - ay bx zoom + ax by zoom
 
       az cy px - az cx py + ay cx pz - ax cy pz - ay px zoom + ax py zoom
  v -> -------------------------------------------------------------------, 
       az by cx - ay bz cx - az bx cy + ax bz cy + ay bx zoom - ax by zoom
 
         az by px - ay bz px - az bx py + ax bz py + ay bx pz - ax by pz
  t -> -------------------------------------------------------------------}}
       az by cx - ay bz cx - az bx cy + ax bz cy + ay bx zoom - ax by zoom
^*)